# Class default

Legend for external layers

#### Hierarchy

- unknown
  - default

- Defined in src/datasource/ExternalOGC.js:33

#####
Index

### Constructors

constructor

### Accessors

legend

## Constructors

### constructor

- new default(options, legend): default

- A `gmf.externalDatasource.OGC` extends a `gmf.datasource.OGC` and adds some properties that are proper to GMF and external dataSource only.

  #### Parameters

  - options: any

    Options.

  - legend: Legend

    The legend object.

  #### Returns default

  Overrides gmfDatasourceOGC.constructor

  - Defined in src/datasource/ExternalOGC.js:41

## Accessors

### legend

- get legend(): Legend

- #### Returns Legend

  legend objects

  - Defined in src/datasource/ExternalOGC.js:53